.riv_NeoFly {
    height: auto
}

.serviceTrigger {
    background-color: red;
    width: 200px;
    height: 200px;
    position: absolute;
    margin: auto auto;
    top: 0%;
    left: 50%;
    transform: translate(-50%, 0%)
}

.vanContainer {
    position: absolute;
    overflow: hidden;
    pointer-events: none;
    width: 100%;
    height: 200px;
    left: 50%;
    top: -60px;
    transform: translate(-50%, 0%);
    z-index: 9
}

#riv_ServiceVan {
    pointer-events: visible;
    position: absolute;
    left: 0%;
    top: 50%;
    transform: translate(-100%);
    transition: left 1s linear
}

.neoFlyArea {
    position: absolute;
    width: 100%;
    top: 0;
    bottom: 0;
    z-index: 99
}

.neoUpNDown {
    position: absolute;
    transform: translate(-50%, -50%);
    transition: top 1s linear, left 1s linear;
    height: max-content;
    top: 0%;
    left: 90%
}

.riv_ReadmoreButton {
    height: auto;
    width: 250px;
    position: absolute
}

.neo-click {
    z-index: 99;
    width: 151px;
    height: 51px;
    position: absolute;
    top: -82px;
    left: -4px;
    border-radius: 40px;
    right: 0;
    margin: 0 auto;
    background-color: #fff0;
    display: none;
}

@media only screen and (min-width :1366px) and (max-width :1400px) {
    .riv_ReadmoreButton {
        width: 220px
    }

    .neo-click {
        width: 132px;
        height: 46px;
        top: -73px;
        left: -4px;
        display: none;
    }
}

@media only screen and (min-width :1281px) and (max-width :1365px) {
    .riv_ReadmoreButton {
        width: 220px
    }

    .neo-click {
        width: 85px;
        height: 29px;
        top: -46px;
        left: -2px;
        display: none;
    }
}

@media only screen and (min-width :1200px) and (max-width :1280px) {
    .riv_ReadmoreButton {
        width: 200px
    }

    .neo-click {
        width: 121px;
        height: 42px;
        top: -66px;
        left: -2px;
        display: none;
    }
}

@media only screen and (min-width :1024px) and (max-width :1199px) {
    .riv_ReadmoreButton {
        width: 200px
    }

    .neo-click {
        width: 120px;
        height: 42px;
        top: -66px;
        left: -4px;
        display: none;
    }
}

@media only screen and (min-width :768px) and (max-width :1023px) {
    .riv_ReadmoreButton {
        width: 160px
    }

    .neo-click {
        width: 97px;
        height: 34px;
        top: -53px;
        left: -4px;
        display: none;
    }
}

@media only screen and (min-width :150px) and (max-width :767px) {
    .neoFlyArea {
        display: none
    }

    .vanContainer {
        display: none
    }

    .riv_ReadmoreButton {
        width: 140px;
        display: none;
    }

    .neo-click {
        width: 85px;
        height: 29px;
        top: -46px;
        left: -2px;
        background-color: #9dc33b;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 13px;
        color: #fff;
    }

    .neo-click:hover {
        color: #fff;
        text-decoration: none;
    }

}